{
  description = "Matemat";
  inputs.flake-utils.url = "github:numtide/flake-utils";

  outputs = { self, nixpkgs, flake-utils }:
    flake-utils.lib.eachDefaultSystem (system: {
      packages.yammat = nixpkgs.legacyPackages.${system}.haskellPackages.callPackage ./pkg.nix {};

      defaultPackage = self.packages.${system}.yammat;

      devShell = import ./shell.nix {
        nixpkgs = nixpkgs.legacyPackages.${system};
      };

      nixosModule = import ./nixos-module.nix;
    });
}
